
GammaLib - Bug #3975

Correctly display UTC times before 1972

01/13/2022 10:12 PM - Knödlseder Jürgen

Status: Rejected Start date: 01/13/2022

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Reading the JPL DE200 ephemerides the print statement shows the following:

=== GEphemerides ===

 Ephemerides name ..........:

 File name .................:

 Validity MJD range ........: 36912.5000000001 - 69806.5000000001

 Validity UTC range ........: 1972-01--4404T11:59:18 - 2049-12-31T11:58:51

The start time is not displayed correctly in UTC. Apparently days before 1972 are displayed as negative days.

Related issues:

Related to GammaLib - Bug # 3974: Invalid UTC times Closed 01/11/2022

History

#1 - 03/15/2022 12:11 PM - Knödlseder Jürgen

- Related to Bug #3974: Invalid UTC times added

#2 - 03/15/2022 12:11 PM - Knödlseder Jürgen

- Status changed from New to Rejected

Duplication of #3974.
